diff -upr ioquake3svn1438/code/game/g_cmds.c ioquake3serverFix/code/game/g_cmds.c
--- ioquake3svn1438/code/game/g_cmds.c	2008-06-29 17:03:27.000000000 -0500
+++ ioquake3serverFix/code/game/g_cmds.c	2008-08-09 11:28:21.000000000 -0500
@@ -53,10 +53,7 @@ void DeathmatchScoreboardMessage( gentit
 		if ( cl->pers.connected == CON_CONNECTING ) {
 			ping = -1;
 		} else {
-//unlagged - true ping
-			//ping = cl->ps.ping < 999 ? cl->ps.ping : 999;
-			ping = cl->pers.realPing < 999 ? cl->pers.realPing : 999;
-//unlagged - true ping
+			ping = cl->ps.ping < 999 ? cl->ps.ping : 999;
 		}
 
 		if( cl->accuracy_shots ) {
@@ -67,34 +64,17 @@ void DeathmatchScoreboardMessage( gentit
 		}
 		perfect = ( cl->ps.persistant[PERS_RANK] == 0 && cl->ps.persistant[PERS_KILLED] == 0 ) ? 1 : 0;
 
-		if(g_gametype.integer == GT_LMS) {
-			Com_sprintf (entry, sizeof(entry),
-				" %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i", level.sortedClients[i],
-				cl->ps.persistant[PERS_SCORE], ping, (level.time - cl->pers.enterTime)/60000,
-				scoreFlags, g_entities[level.sortedClients[i]].s.powerups, accuracy, 
-				cl->ps.persistant[PERS_IMPRESSIVE_COUNT],
-				cl->ps.persistant[PERS_EXCELLENT_COUNT],
-				cl->ps.persistant[PERS_GAUNTLET_FRAG_COUNT], 
-				cl->ps.persistant[PERS_DEFEND_COUNT], 
-				cl->ps.persistant[PERS_ASSIST_COUNT], 
-				perfect,
-				cl->ps.persistant[PERS_CAPTURES],
-				cl->pers.livesLeft + (cl->isEliminated?0:1));
-		}
-		else {
-			Com_sprintf (entry, sizeof(entry),
-				" %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i", level.sortedClients[i],
-				cl->ps.persistant[PERS_SCORE], ping, (level.time - cl->pers.enterTime)/60000,
-				scoreFlags, g_entities[level.sortedClients[i]].s.powerups, accuracy, 
-				cl->ps.persistant[PERS_IMPRESSIVE_COUNT],
-				cl->ps.persistant[PERS_EXCELLENT_COUNT],
-				cl->ps.persistant[PERS_GAUNTLET_FRAG_COUNT], 
-				cl->ps.persistant[PERS_DEFEND_COUNT], 
-				cl->ps.persistant[PERS_ASSIST_COUNT], 
-				perfect,
-				cl->ps.persistant[PERS_CAPTURES],
-				cl->isEliminated);
-		}
+		Com_sprintf (entry, sizeof(entry),
+			" %i %i %i %i %i %i %i %i %i %i %i %i %i %i", level.sortedClients[i],
+			cl->ps.persistant[PERS_SCORE], ping, (level.time - cl->pers.enterTime)/60000,
+			scoreFlags, g_entities[level.sortedClients[i]].s.powerups, accuracy, 
+			cl->ps.persistant[PERS_IMPRESSIVE_COUNT],
+			cl->ps.persistant[PERS_EXCELLENT_COUNT],
+			cl->ps.persistant[PERS_GAUNTLET_FRAG_COUNT], 
+			cl->ps.persistant[PERS_DEFEND_COUNT], 
+			cl->ps.persistant[PERS_ASSIST_COUNT], 
+			perfect,
+			cl->ps.persistant[PERS_CAPTURES]);
 		j = strlen(entry);
 		if (stringlength + j > 1024)
 			break;
@@ -102,102 +82,11 @@ void DeathmatchScoreboardMessage( gentit
 		stringlength += j;
 	}
 
-	trap_SendServerCommand( ent-g_entities, va("scores %i %i %i %i%s", i, 
-		level.teamScores[TEAM_RED], level.teamScores[TEAM_BLUE], level.roundStartTime,
+	trap_SendServerCommand( ent-g_entities, va("scores %i %i %i%s", i, 
+		level.teamScores[TEAM_RED], level.teamScores[TEAM_BLUE],
 		string ) );
 }
 
-/*
-==================
-DominationPointStatusMessage
-
-==================
-*/
-void DominationPointStatusMessage( gentity_t *ent ) {
-	char		entry[20]; //Will more likely be 2... in fact cannot be more since we are the server
-	char		string[20*(MAX_DOMINATION_POINTS+1)];
-	int			stringlength;
-	int i, j;
-
-	string[0] = 0;
-	stringlength = 0;
-
-	for(i = 0;i<MAX_DOMINATION_POINTS && i<level.domination_points_count; i++) {
-		Com_sprintf (entry, sizeof(entry)," %i",level.pointStatusDom[i]);
-		j = strlen(entry);
-		if (stringlength + j > 20*MAX_DOMINATION_POINTS)
-			break;
-		strcpy (string + stringlength, entry);
-		stringlength += j;
-	}
-
-	trap_SendServerCommand( ent-g_entities, va("domStatus %i%s", level.domination_points_count, string ) );
-}
-
-/*
-==================
-EliminationMessage
-
-==================
-*/
-
-void EliminationMessage(gentity_t *ent) {
-	trap_SendServerCommand( ent-g_entities, va("elimination %i %i %i", 
-		level.teamScores[TEAM_RED], level.teamScores[TEAM_BLUE], level.roundStartTime) );
-}
-
-/*
-==================
-DoubleDominationScoreTime
-
-==================
-*/
-void DoubleDominationScoreTimeMessage( gentity_t *ent ) {
-	trap_SendServerCommand( ent-g_entities, va("ddtaken %i", level.timeTaken));
-}
-
-/*
-==================
-DominationPointNames
-==================
-*/
-
-void DominationPointNamesMessage( gentity_t *ent ) {
-	char text[MAX_DOMINATION_POINTS_NAMES*MAX_DOMINATION_POINTS];
-	int i,j;	
-	qboolean nullFound;
-	for(i=0;i<MAX_DOMINATION_POINTS;i++) {
-		Q_strncpyz(text+i*MAX_DOMINATION_POINTS_NAMES,level.domination_points_names[i],MAX_DOMINATION_POINTS_NAMES-1);
-		if(i!=MAX_DOMINATION_POINTS-1) {
-			//Don't allow "/0"!
-			nullFound = qfalse;
-			for(j=i*MAX_DOMINATION_POINTS_NAMES; j<(i+1)*MAX_DOMINATION_POINTS_NAMES;j++) {
-				if(text[j]==0)
-					nullFound = qtrue;
-				if(nullFound)
-					text[j] = ' ';
-			}
-		}
-		text[MAX_DOMINATION_POINTS_NAMES*MAX_DOMINATION_POINTS-2]=0x19;
-		text[MAX_DOMINATION_POINTS_NAMES*MAX_DOMINATION_POINTS-1]=0;
-	}
-	trap_SendServerCommand( ent-g_entities, va("dompointnames %i \"%s\"", level.domination_points_count, text));
-}
-
-/*
-==================
-AttackingTeamMessage
-
-==================
-*/
-void AttackingTeamMessage( gentity_t *ent ) {
-	int team;
-	if ( (level.eliminationSides+level.roundNumber)%2 == 0 )
-		team = TEAM_RED;
-	else
-		team = TEAM_BLUE;
-	trap_SendServerCommand( ent-g_entities, va("attackingteam %i", team));
-}
 
 /*
 ==================
@@ -573,7 +462,7 @@ Cmd_Kill_f
 =================
 */
 void Cmd_Kill_f( gentity_t *ent ) {
-	if ( (ent->client->sess.sessionTeam == TEAM_SPECTATOR) || ent->client->isEliminated ) {
+	if ( ent->client->sess.sessionTeam == TEAM_SPECTATOR ) {
 		return;
 	}
 	if (ent->health <= 0) {
@@ -643,7 +532,7 @@ void SetTeam( gentity_t *ent, char *s ) 
 	} else if ( !Q_stricmp( s, "spectator" ) || !Q_stricmp( s, "s" ) ) {
 		team = TEAM_SPECTATOR;
 		specState = SPECTATOR_FREE;
-	} else if ( g_gametype.integer >= GT_TEAM && g_ffa_gt!=1) {
+	} else if ( g_gametype.integer >= GT_TEAM ) {
 		// if running a team game, assign player to one of the teams
 		specState = SPECTATOR_NOT;
 		if ( !Q_stricmp( s, "red" ) || !Q_stricmp( s, "r" ) ) {
@@ -755,16 +644,8 @@ to free floating spectator mode
 =================
 */
 void StopFollowing( gentity_t *ent ) {
-	if(g_gametype.integer<GT_ELIMINATION || g_gametype.integer>GT_LMS)
-	{
-		//Shouldn't this already be the case?
-		ent->client->ps.persistant[ PERS_TEAM ] = TEAM_SPECTATOR;	
-		ent->client->sess.sessionTeam = TEAM_SPECTATOR;	
-	}
-	else {
-		ent->client->ps.stats[STAT_HEALTH] = 0;
-		ent->health = 0;
-	}
+	ent->client->ps.persistant[ PERS_TEAM ] = TEAM_SPECTATOR;	
+	ent->client->sess.sessionTeam = TEAM_SPECTATOR;	
 	ent->client->sess.spectatorState = SPECTATOR_FREE;
 	ent->client->ps.pm_flags &= ~PMF_FOLLOW;
 	ent->r.svFlags &= ~SVF_BOT;
@@ -827,10 +708,6 @@ void Cmd_Follow_f( gentity_t *ent ) {
 	int		i;
 	char	arg[MAX_TOKEN_CHARS];
 
-	//Don't folow in elimination mode, or player will get wrong score
-	/*if(ent->client->sess.sessionTeam != TEAM_SPECTATOR && g_gametype.integer>=GT_ELIMINATION && g_gametype.integer<=GT_LMS)
-		return;*/
-	
 	if ( trap_Argc() != 2 ) {
 		if ( ent->client->sess.spectatorState == SPECTATOR_FOLLOW ) {
 			StopFollowing( ent );
@@ -838,22 +715,19 @@ void Cmd_Follow_f( gentity_t *ent ) {
 		return;
 	}
 
-
 	trap_Argv( 1, arg, sizeof( arg ) );
 	i = ClientNumberFromString( ent, arg );
 	if ( i == -1 ) {
 		return;
 	}
 
-	
-
 	// can't follow self
 	if ( &level.clients[ i ] == ent->client ) {
 		return;
 	}
 
-	// can't follow another spectator (or an eliminated player)
-	if ( (level.clients[ i ].sess.sessionTeam == TEAM_SPECTATOR) || level.clients[ i ].isEliminated) {
+	// can't follow another spectator
+	if ( level.clients[ i ].sess.sessionTeam == TEAM_SPECTATOR ) {
 		return;
 	}
 
@@ -864,8 +738,7 @@ void Cmd_Follow_f( gentity_t *ent ) {
 	}
 
 	// first set them to spectator
-	//if ( ent->client->sess.sessionTeam != TEAM_SPECTATOR ) {
-	if ( ent->client->sess.spectatorState == SPECTATOR_NOT ) {
+	if ( ent->client->sess.sessionTeam != TEAM_SPECTATOR ) {
 		SetTeam( ent, "spectator" );
 	}
 
@@ -913,7 +786,7 @@ void Cmd_FollowCycle_f( gentity_t *ent, 
 		}
 
 		// can't follow another spectator
-		if ( (level.clients[ clientnum ].sess.sessionTeam == TEAM_SPECTATOR) || level.clients[ clientnum ].isEliminated) {
+		if ( level.clients[ clientnum ].sess.sessionTeam == TEAM_SPECTATOR ) {
 			continue;
 		}
 
@@ -972,7 +845,7 @@ void G_Say( gentity_t *ent, gentity_t *t
 	char		text[MAX_SAY_TEXT];
 	char		location[64];
 
-	if ( (g_gametype.integer < GT_TEAM || g_ffa_gt == 1) && mode == SAY_TEAM ) {
+	if ( g_gametype.integer < GT_TEAM && mode == SAY_TEAM ) {
 		mode = SAY_ALL;
 	}
 
@@ -994,7 +867,7 @@ void G_Say( gentity_t *ent, gentity_t *t
 		color = COLOR_CYAN;
 		break;
 	case SAY_TELL:
-		if (target && g_gametype.integer >= GT_TEAM && g_ffa_gt != 1 &&
+		if (target && g_gametype.integer >= GT_TEAM &&
 			target->client->sess.sessionTeam == ent->client->sess.sessionTeam &&
 			Team_GetLocationMsg(ent, location, sizeof(location)))
 			Com_sprintf (name, sizeof(name), EC"[%s%c%c"EC"] (%s)"EC": ", ent->client->pers.netname, Q_COLOR_ESCAPE, COLOR_WHITE, location );
@@ -1127,7 +1000,7 @@ void G_Voice( gentity_t *ent, gentity_t 
 	int			j;
 	gentity_t	*other;
 
-	if ( (g_gametype.integer < GT_TEAM || g_ffa_gt==1 ) && mode == SAY_TEAM ) {
+	if ( g_gametype.integer < GT_TEAM && mode == SAY_TEAM ) {
 		mode = SAY_ALL;
 	}
 
@@ -1260,7 +1133,7 @@ static void Cmd_VoiceTaunt_f( gentity_t 
 		}
 	}
 
-	if (g_gametype.integer >= GT_TEAM && g_ffa_gt!=1) {
+	if (g_gametype.integer >= GT_TEAM) {
 		// praise a team mate who just got a reward
 		for(i = 0; i < MAX_CLIENTS; i++) {
 			who = g_entities + i;
@@ -1331,169 +1204,11 @@ static const char *gameNames[] = {
 	"Capture the Flag",
 	"One Flag CTF",
 	"Overload",
-	"Harvester",
-	"Elimination",
-	"CTF Elimination",
-	"Last Man Standing",
-	"Double Domination",
-	"Domination"
+	"Harvester"
 };
 
 /*
 ==================
-allowedVote
-==================
- */
-#define MAX_VOTENAME_LENGTH 14 //currently the longest string is "/map_restart/\0" (14 chars)
-int allowedVote(char *commandStr) {
-    char tempStr[MAX_VOTENAME_LENGTH]; 
-    int length;
-    char voteNames[MAX_CVAR_VALUE_STRING];
-    trap_Cvar_VariableStringBuffer( "g_voteNames", voteNames, sizeof( voteNames ) );
-    if(!Q_stricmp(voteNames, "*" ))
-        return qtrue; //if star, everything is allowed
-    length = strlen(commandStr);
-    if(length>MAX_VOTENAME_LENGTH-3)
-    {
-        //Error: too long
-        return qfalse;
-    }
-    tempStr[0] = '/';
-    strncpy(&tempStr[1],commandStr,length);
-    tempStr[length+1] = '/';
-    tempStr[length+2] = '\0';
-    if(Q_stristr(voteNames,tempStr) != NULL)
-        return qtrue;
-    else
-        return qfalse;
-}
-
-/*
-==================
-allowedMap
-==================
- */
-#define MAX_MAPNAME_LENGTH 34
-int allowedMap(char *mapname) {
-    char tempStr[MAX_MAPNAME_LENGTH]; 
-    int length;
-    char voteMaps[MAX_CVAR_VALUE_STRING]; //= g_voteMaps.string;
-    trap_Cvar_VariableStringBuffer( "g_voteMaps", voteMaps, sizeof( voteMaps ) );
-    
-    if(!Q_stricmp(voteMaps, "*" ))
-        return qtrue; //if star, everything is allowed
-    length = strlen(mapname);
-    if(length>MAX_MAPNAME_LENGTH-3)
-    {
-        //Error: too long
-        return qfalse;
-    }
-    tempStr[0] = '/';
-    strncpy(&tempStr[1],mapname,length);
-    tempStr[length+1] = '/';
-    tempStr[length+2] = '\0';
-    
-    if(Q_stristr(voteMaps,tempStr) != NULL) {
-        return qtrue;
-    }
-    trap_Cvar_VariableStringBuffer( "g_voteMaps1", voteMaps, sizeof( voteMaps ) );
-    if(Q_stristr(voteMaps,tempStr) != NULL) {
-        return qtrue;
-    }
-    trap_Cvar_VariableStringBuffer( "g_voteMaps2", voteMaps, sizeof( voteMaps ) );
-    if(Q_stristr(voteMaps,tempStr) != NULL) {
-        return qtrue;
-    }
-    trap_Cvar_VariableStringBuffer( "g_voteMaps3", voteMaps, sizeof( voteMaps ) );
-    if(Q_stristr(voteMaps,tempStr) != NULL) {
-        return qtrue;
-    }
-    trap_Cvar_VariableStringBuffer( "g_voteMaps4", voteMaps, sizeof( voteMaps ) );
-    if(Q_stristr(voteMaps,tempStr) != NULL) {
-        return qtrue;
-    }
-    trap_Cvar_VariableStringBuffer( "g_voteMaps", voteMaps, sizeof( voteMaps ) );
-    G_Printf("Maps on server: %s ",voteMaps);
-    trap_Cvar_VariableStringBuffer( "g_voteMaps1", voteMaps, sizeof( voteMaps ) );
-    G_Printf("%s ",voteMaps);
-    trap_Cvar_VariableStringBuffer( "g_voteMaps2", voteMaps, sizeof( voteMaps ) );
-    G_Printf("%s ",voteMaps);
-    trap_Cvar_VariableStringBuffer( "g_voteMaps3", voteMaps, sizeof( voteMaps ) );
-    G_Printf("%s ",voteMaps);
-    trap_Cvar_VariableStringBuffer( "g_voteMaps4", voteMaps, sizeof( voteMaps ) );
-    G_Printf("%s\n",voteMaps);
-    //The map was not found
-    return qfalse;
-}
-
-/*
-==================
-allowedGametype
-==================
- */
-#define MAX_GAMETYPENAME_LENGTH 5 //currently the longest string is "/12/\0" (5 chars)
-int allowedGametype(char *gametypeStr) {
-    char tempStr[MAX_GAMETYPENAME_LENGTH]; 
-    int length;
-    char voteGametypes[MAX_CVAR_VALUE_STRING];
-    trap_Cvar_VariableStringBuffer( "g_voteGametypes", voteGametypes, sizeof( voteGametypes ) );
-    if(!Q_stricmp(voteGametypes, "*" ))
-        return qtrue; //if star, everything is allowed
-    length = strlen(gametypeStr);
-    if(length>MAX_GAMETYPENAME_LENGTH-3)
-    {
-        //Error: too long
-        return qfalse;
-    }
-    tempStr[0] = '/';
-    strncpy(&tempStr[1],gametypeStr,length);
-    tempStr[length+1] = '/';
-    tempStr[length+2] = '\0';
-    if(Q_stristr(voteGametypes,tempStr) != NULL)
-        return qtrue;
-    else {
-        return qfalse;
-    }
-}
-
-/*
-==================
-allowedTimelimit
-==================
- */
-int allowedTimelimit(int limit) {
-    int min, max;
-    min = g_voteMinTimelimit.integer;
-    max = g_voteMaxTimelimit.integer;
-    if(limit<min && limit != 0)
-        return qfalse;
-    if(max!=0 && limit>max)
-        return qfalse;
-    if(limit==0 && max > 0)
-        return qfalse;
-    return qtrue;
-}
-
-/*
-==================
-allowedFraglimit
-==================
- */
-int allowedFraglimit(int limit) {
-    int min, max;
-    min = g_voteMinFraglimit.integer;
-    max = g_voteMaxFraglimit.integer;
-    if(limit<min && limit != 0)
-        return qfalse;
-    if(max != 0 && limit>max)
-        return qfalse;
-    if(limit==0 && max > 0)
-        return qfalse;
-    return qtrue;
-}
-
-/*
-==================
 Cmd_CallVote_f
 ==================
 */
@@ -1501,7 +1216,6 @@ void Cmd_CallVote_f( gentity_t *ent ) {
 	int		i;
 	char	arg1[MAX_STRING_TOKENS];
 	char	arg2[MAX_STRING_TOKENS];
-        char    buffer[256];
 
 	if ( !g_allowVote.integer ) {
 		trap_SendServerCommand( ent-g_entities, "print \"Voting not allowed here.\n\"" );
@@ -1529,8 +1243,6 @@ void Cmd_CallVote_f( gentity_t *ent ) {
 		trap_SendServerCommand( ent-g_entities, "print \"Invalid vote string.\n\"" );
 		return;
 	}
-        
-        
 
 	if ( !Q_stricmp( arg1, "map_restart" ) ) {
 	} else if ( !Q_stricmp( arg1, "nextmap" ) ) {
@@ -1543,60 +1255,9 @@ void Cmd_CallVote_f( gentity_t *ent ) {
 	} else if ( !Q_stricmp( arg1, "fraglimit" ) ) {
 	} else {
 		trap_SendServerCommand( ent-g_entities, "print \"Invalid vote string.\n\"" );
-		//trap_SendServerCommand( ent-g_entities, "print \"Vote commands are: map_restart, nextmap, map <mapname>, g_gametype <n>, kick <player>, clientkick <clientnum>, g_doWarmup, timelimit <time>, fraglimit <frags>.\n\"" );
-                buffer[0] = 0;
-                strcat(buffer,"print \"Vote commands are: ");
-                if(allowedVote("map_restart"))
-                    strcat(buffer, "map_restart, ");
-                if(allowedVote("nextmap"))
-                    strcat(buffer, "nextmap, ");
-                if(allowedVote("map"))
-                    strcat(buffer, "map <mapname>, ");
-                if(allowedVote("g_gametype"))
-                    strcat(buffer, "g_gametype <n>, ");
-                if(allowedVote("kick"))
-                    strcat(buffer, "kick <player>, ");
-                if(allowedVote("clientkick"))
-                    strcat(buffer, "clientkick <clientnum>, ");
-                if(allowedVote("g_doWarmup"))
-                    strcat(buffer, "g_doWarmup, ");
-                if(allowedVote("timelimit"))
-                    strcat(buffer, "timelimit <time>, ");
-                if(allowedVote("fraglimit"))
-                    strcat(buffer, "fraglimit <frags>, ");
-                buffer[strlen(buffer)-2] = 0;
-                strcat(buffer, ".\"");
-                trap_SendServerCommand( ent-g_entities, buffer);
-		return;
-	}
-        
-        if(!allowedVote(arg1)) {
-                trap_SendServerCommand( ent-g_entities, "print \"Not allowed here.\n\"" );
-                buffer[0] = 0;
-                strcat(buffer,"print \"Vote commands are: ");
-                if(allowedVote("map_restart"))
-                    strcat(buffer, "map_restart, ");
-                if(allowedVote("nextmap"))
-                    strcat(buffer, "nextmap, ");
-                if(allowedVote("map"))
-                    strcat(buffer, "map <mapname>, ");
-                if(allowedVote("g_gametype"))
-                    strcat(buffer, "g_gametype <n>, ");
-                if(allowedVote("kick"))
-                    strcat(buffer, "kick <player>, ");
-                if(allowedVote("clientkick"))
-                    strcat(buffer, "clientkick <clientnum>, ");
-                if(allowedVote("g_doWarmup"))
-                    strcat(buffer, "g_doWarmup, ");
-                if(allowedVote("timelimit"))
-                    strcat(buffer, "timelimit <time>, ");
-                if(allowedVote("fraglimit"))
-                    strcat(buffer, "fraglimit <frags>, ");
-                buffer[strlen(buffer)-2] = 0;
-                strcat(buffer, ".\"");
-                trap_SendServerCommand( ent-g_entities, buffer);
+		trap_SendServerCommand( ent-g_entities, "print \"Vote commands are: map_restart, nextmap, map <mapname>, g_gametype <n>, kick <player>, clientkick <clientnum>, g_doWarmup, timelimit <time>, fraglimit <frags>.\n\"" );
 		return;
-        }
+	}
 
 	// if there is still a vote to be executed
 	if ( level.voteExecuteTime ) {
@@ -1611,11 +1272,6 @@ void Cmd_CallVote_f( gentity_t *ent ) {
 			trap_SendServerCommand( ent-g_entities, "print \"Invalid gametype.\n\"" );
 			return;
 		}
-                
-                if(!allowedGametype(arg2)){
-                    trap_SendServerCommand( ent-g_entities, "print \"Gametype is not available.\n\"" );
-                    return;
-                }
 
 		Com_sprintf( level.voteString, sizeof( level.voteString ), "%s %d", arg1, i );
 		Com_sprintf( level.voteDisplayString, sizeof( level.voteDisplayString ), "%s %s", arg1, gameNames[i] );
@@ -1623,11 +1279,6 @@ void Cmd_CallVote_f( gentity_t *ent ) {
 		// special case for map changes, we want to reset the nextmap setting
 		// this allows a player to change maps, but not upset the map rotation
 		char	s[MAX_STRING_CHARS];
-                
-                if(!allowedMap(arg2)){
-                    trap_SendServerCommand( ent-g_entities, "print \"Map is not available.\n\"" );
-                    return;
-                }
 
 		trap_Cvar_VariableStringBuffer( "nextmap", s, sizeof(s) );
 		if (*s) {
@@ -1638,11 +1289,6 @@ void Cmd_CallVote_f( gentity_t *ent ) {
 		Com_sprintf( level.voteDisplayString, sizeof( level.voteDisplayString ), "%s", level.voteString );
 	} else if ( !Q_stricmp( arg1, "nextmap" ) ) {
 		char	s[MAX_STRING_CHARS];
-                
-                if(!allowedMap(arg2)){
-                    trap_SendServerCommand( ent-g_entities, "print \"Map is not available.\n\"" );
-                    return;
-                }
 
 		trap_Cvar_VariableStringBuffer( "nextmap", s, sizeof(s) );
 		if (!*s) {
@@ -1651,24 +1297,6 @@ void Cmd_CallVote_f( gentity_t *ent ) {
 		}
 		Com_sprintf( level.voteString, sizeof( level.voteString ), "vstr nextmap");
 		Com_sprintf( level.voteDisplayString, sizeof( level.voteDisplayString ), "%s", level.voteString );
-        } else if ( !Q_stricmp( arg1, "fraglimit" ) ) {
-                i = atoi(arg2);
-                if(!allowedFraglimit(i)) {
-                    trap_SendServerCommand( ent-g_entities, "print \"Cannot set fraglimit.\n\"" );
-                    return;
-                }
-            
-                Com_sprintf( level.voteString, sizeof( level.voteString ), "%s \"%s\"", arg1, arg2 );
-		Com_sprintf( level.voteDisplayString, sizeof( level.voteDisplayString ), "%s", level.voteString );
-        } else if ( !Q_stricmp( arg1, "timelimit" ) ) {
-                i = atoi(arg2);
-                if(!allowedTimelimit(i)) {
-                    trap_SendServerCommand( ent-g_entities, "print \"Cannot set timelimit.\n\"" );
-                    return;
-                }
-            
-                Com_sprintf( level.voteString, sizeof( level.voteString ), "%s \"%s\"", arg1, arg2 );
-		Com_sprintf( level.voteDisplayString, sizeof( level.voteDisplayString ), "%s", level.voteString );
 	} else {
 		Com_sprintf( level.voteString, sizeof( level.voteString ), "%s \"%s\"", arg1, arg2 );
 		Com_sprintf( level.voteDisplayString, sizeof( level.voteDisplayString ), "%s", level.voteString );
@@ -2068,8 +1696,6 @@ void ClientCommand( int clientNum ) {
 		Cmd_SetViewpos_f( ent );
 	else if (Q_stricmp (cmd, "stats") == 0)
 		Cmd_Stats_f( ent );
-	else if (Q_stricmp (cmd, "free_spectator") == 0)
-		StopFollowing( ent );
 	else
 		trap_SendServerCommand( clientNum, va("print \"unknown cmd %s\n\"", cmd ) );
 }
